VERSION 5.00
Begin VB.UserControl CustomBoundControl 
   ClientHeight    =   315
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2100
   ScaleHeight     =   315
   ScaleWidth      =   2100
   Begin VB.Label lblDisplay 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   2055
   End
End
Attribute VB_Name = "CustomBoundControl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'Default Property Values:
Const m_def_DataControlName = ""
Const m_def_DataFieldName = ""
'Property Variables:
Dim m_DataControlName As String
Dim WithEvents m_DataControl As Data
Attribute m_DataControl.VB_VarHelpID = -1
Dim m_DataFieldName As String
Public Property Get DataFieldName() As String
    DataFieldName = m_DataFieldName
End Property
Public Property Let DataFieldName(ByVal New_DataFieldName As String)
    m_DataFieldName = New_DataFieldName
    PropertyChanged "DataFieldName"
End Property

Private Sub m_DataControl_Reposition()
    If m_DataFieldName <> "" Then
        lblDisplay.Caption = _
            m_DataControl.Recordset.Fields(m_DataFieldName)
    End If
End Sub
'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_DataFieldName = m_def_DataFieldName
    m_DataControlName = m_def_DataControlName
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    m_DataFieldName = PropBag.ReadProperty("DataFieldName", m_def_DataFieldName)
    DataControlName = PropBag.ReadProperty("DataControlName", m_def_DataControlName)
End Sub

Private Sub UserControl_Resize()
    Size lblDisplay.Width, lblDisplay.Height
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("DataFieldName", m_DataFieldName, m_def_DataFieldName)
    Call PropBag.WriteProperty("DataControlName", m_DataControlName, m_def_DataControlName)
End Sub

Public Property Get DataControlName() As String
    DataControlName = m_DataControlName
End Property

Public Property Let DataControlName(ByVal New_DataControlName As String)
Dim ctl As Control

    m_DataControlName = New_DataControlName
    PropertyChanged "DataControlName"

    ' Find the control.
    For Each ctl In Extender.Parent.Controls
        If ctl.Name = m_DataControlName Then Exit For
    Next ctl
    If Not (ctl Is Nothing) Then Set m_DataControl = ctl
End Property

